QGIS Application - Bug report #21068
Button positions in Database styles manager dialog
2019-01-22 11:18 AM - Alexander Barth

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: GUI

Affected QGIS version:3.5(master) Regression?:

Operating System: Any Easy fix?:

Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 28886
Description

In the "Database styles manager" dialog that opens when loading a style. The Buttons "Abbruch" (Cancel) and "Stil laden" (load style) are

placed in the wrong order when compared to the rest of QGIS and Windows in general.

Not a huge issue, but it can be annoying when loading a couple of styles, because the open file dialog where you select your .qml file has

the "OK" button on the left side.

Associated revisions

Revision 90a9852b - 2019-01-24 05:38 PM - Alessandro Pasotti

Fix button order in DB styles dialog and add GPKG delete support

Fixes #21068

Revision 67b5b676 - 2019-02-20 02:00 AM - Alessandro Pasotti

Fix button order in DB styles dialog and add GPKG delete support

Fixes #21068

(cherry picked from commit 90a9852b694acci1aala8e84c07efd59b4b6d7d81)

History

#1 - 2019-01-24 04:48 PM - Alessandro Pasotti

- Affected QGIS version changed from 3.4.4 to 3.5(master)
- Operating System changed from Windows 7 to Any

- Assignee set to Alessandro Pasotti

#2 - 2019-01-24 05:41 PM - Alessandro Pasotti

- Status changed from Open to In Progress
- Pull Request or Patch supplied changed from No to Yes

PR https://github.com/qgis/QGIS/pull/8971

Now the button order is delegated to Qt (OS-dependant): http://doc.qt.io/qt-5/qdialogbuttonbox.html
https://github.com/qgis/QGIS/pull/8971
http://doc.qt.io/qt-5/qdialogbuttonbox.html

Also added delete style capabilities for GPKG.

#3 - 2019-01-25 09:38 AM - Alessandro Pasotti
- % Done changed from 0 to 100
- Status changed from In Progress to Closed

Applied in changeset commit:qgis|90a9852b694acciaala8e84c07efd59b4b6d7d81.
